Forum Replies Created

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts

  • skippy1976uk
    Participant

    Ok, I have solved this. I had many issues installing the drivers, so I managed to get the display working with the latest version from Nvidia (362). However, it appears that the new version of the driver may have caused this build issue.

    I therefore did:

    sudo apt-get purge nvidia*
    service mdm stop

    I then followed the instructions at:

    https://mintguide.org/system/479-install-the-nvidia-driver-352-30-on-linux-mint.html#sel=14:8,14:8

    AFter that all worked!!!!

    in reply to: Complete Installation Instructions #102246

    skippy1976uk
    Participant

    I’m having the same issue that baily1080 had in that the script fails as it cannot locate the GL library.


    skippy1976uk
    Participant

    It is clearly because it cannot find the GL library:

    /usr/bin/ld: cannot find -lGL

    However, if I list the libraries that ld is using:

    SEARCH_DIR(“/usr/x86_64-linux-gnu/lib64”)
    SEARCH_DIR(“=/usr/local/lib/x86_64-linux-gnu”)
    SEARCH_DIR(“=/usr/local/lib64”)
    SEARCH_DIR(“=/lib/x86_64-linux-gnu”)
    SEARCH_DIR(“=/lib64”)
    SEARCH_DIR(“=/usr/lib/x86_64-linux-gnu”)
    SEARCH_DIR(“=/usr/lib64”)
    SEARCH_DIR(“=/usr/local/lib”)
    SEARCH_DIR(“=/lib”)
    SEARCH_DIR(“=/usr/lib”)

    My initial thought was that the linker was not looking in the correct location. I then searched to see if I could find the GL driver myself:

    haggerty@haggerty-AR ~ $ cd /usr/
    haggerty@haggerty-AR /usr $ find . -name GL* -print
    ./include/GL
    ./lib/python2.7/dist-packages/gi/overrides/GLib.py
    ./lib/python2.7/dist-packages/gi/overrides/GLib.pyc
    ./lib/python3/dist-packages/gi/overrides/GLib.py
    ./lib/python3/dist-packages/gi/overrides/__pycache__/GLib.cpython-34.pyc
    ./lib/girepository-1.0/GL-1.0.typelib
    ./lib/girepository-1.0/GLib-2.0.typelib
    ./share/perl/5.18.2/unicore/lib/Lb/GL.pl

    I am now questioning if I have the GL library installed.

    Any indicators here as to why it cannot find the GL library woudl be most appreciated.

Viewing 3 posts - 1 through 3 (of 3 total)